%define realversion B.0%{version}

Name:		lshw
Version:	2.18
Release:	%mkrel 1
Summary:	A HardWare LiSter
License:	GPLv2
Url:		http://ezix.org/project/wiki/HardwareLiSter
Source0:	http://ezix.org/software/files/%{name}-%{realversion}.tar.gz
Source1:	org.ezix.lshw.gui.policy
Source2:	lshw-gui
Patch0:		lshw-B.02.18-build.patch
Group:		System/Kernel and hardware
Requires:	ldetect-lst >= 0.1.282
BuildRequires:	sqlite3-devel

%description
lshw (HardWare LiSter) is a small tool to provide detailed information
on the hardware configuration of the machine.
It can report:
- exact memory configuration
- firmware version
- mainboard configuration
- CPU version and speed
- cache configuration
- bus speed
- ...
on DMI-capable x86 or EFI (IA-64) systems.

%package gui
Summary:	HardWare LiSter (GUI Frontend)
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}
Requires:	gtk2
BuildRequires:	gtk2-devel
%description gui
This package provides a graphical user interface to lshw.

%prep
%setup -q -n %{name}-%{realversion}
%autopatch -p1
# Ugly since 2.07 default rights are messed
find -type f | xargs chmod 644
find -type d | xargs chmod 755

%build
make SQLITE=1 gui

%install
%makeinstall DESTDIR=%{buildroot} SQLITE=1
%make install-gui DESTDIR=%{buildroot} SQLITE=1

# packaged as part of ldetect-lst
rm -f %{buildroot}%{_datadir}/lshw/{oui.txt,*.ids}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
install -D -m 0644 src/gui/artwork/logo.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

mkdir -p %{buildroot}%{_datadir}/applications/
install -D -m 0644 src/gui/integration/gtk-%{name}.desktop %{buildroot}%{_datadir}/applications/
sed -i 's@/usr/share/lshw/artwork/logo.svg@%{name}@g' %{buildroot}%{_datadir}/applications/gtk-%{name}.desktop
sed -i 's@/usr/bin/gtk-%{name}@%{_sbindir}/%{name}-gui@g' %{buildroot}%{_datadir}/applications/gtk-%{name}.desktop
sed -i 's@Application;System;X-Red-Hat-Base;X-Fedora;@Application;GTK;System;@g' %{buildroot}%{_datadir}/applications/gtk-%{name}.desktop 

install -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/polkit-1/actions/org.ezix.lshw.gui.policy
install -D -m 0755 %{SOURCE2} %{buildroot}%{_sbindir}/%{name}-gui

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING README.md docs/*
%{_sbindir}/%{name}
%{_datadir}/%{name}/manuf.txt
%{_mandir}/man1/%{name}.*

%files gui
%doc COPYING
%{_sbindir}/gtk-%{name}
%{_sbindir}/%{name}-gui
%{_datadir}/%{name}
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/gtk-%{name}.desktop
%{_datadir}/polkit-1/actions/org.ezix.%{name}.gui.policy


%changelog
* Fri Aug 26 2016 bcornec <bcornec> 2.18-1.mga6
+ Revision: 1048963
- Update to upstream lshw 2.18 with patch to fix build process reported upstream

* Wed Feb 03 2016 umeabot <umeabot> 2.17-5.mga6
+ Revision: 933606
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.17-4.mga5
+ Revision: 744670
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.17-3.mga5
+ Revision: 682013
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.17-2.mga4
+ Revision: 539689
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 dams <dams> 2.17-1.mga4
+ Revision: 492779
- new version 2.17
- update %%description
- clean specfile
- add .desktop and icon for gtk-lshw
- use pkexec (from fedora) to launch GUI from user
- add a patch to fix segfault in scan fat code

* Sat Jan 12 2013 umeabot <umeabot> 2.16-2.mga3
+ Revision: 359023
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + mcb30 <mcb30>
    - include support for "-dump" using an SQLite database

* Mon Jan 23 2012 guillomovitch <guillomovitch> 2.16-1.mga2
+ Revision: 199957
- new version
- spec cleanup

* Wed Jan 19 2011 erwan <erwan> 2.15-1.mga1
+ Revision: 24610
- imported package lshw

